Package tigase.auth.impl

## Class PlainSPCallbackHandler

- java.lang.Object
- - tigase.auth.impl.PlainSPCallbackHandler

- All Implemented Interfaces:
    `javax.security.auth.callback.CallbackHandler`, `AuthRepositoryAware`, `Aware`, `DomainAware`

      @Deprecated
      public class PlainSPCallbackHandler
      extends java.lang.Object
      implements javax.security.auth.callback.CallbackHandler, AuthRepositoryAware, DomainAware

  Deprecated.
  This is implementation of CallbackHandler to use with old AuthRepositories. Callback VerifyPasswordCallback uses method AuthRepositoryImpl.plainAuth(BareJID, String) to password verification.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `domain` | Deprecated.
    `protected BareJID` | `jid` | Deprecated.
    `protected java.util.logging.Logger` | `log` | Deprecated.
    `protected AuthRepository` | `repo` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlainSPCallbackHandler()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(javax.security.auth.callback.Callback[] callbacks)` | Deprecated.
    `protected void` | `handleAuthorizeCallback​(javax.security.sasl.AuthorizeCallback authCallback)` | Deprecated.
    `protected void` | `handleCallback​(javax.security.auth.callback.Callback callback)` | Deprecated.
    `protected void` | `handleNameCallback​(javax.security.auth.callback.NameCallback nc)` | Deprecated.
    `protected void` | `handleRealmCallback​(javax.security.sasl.RealmCallback rc)` | Deprecated.
    `protected void` | `handleVerifyPasswordCallback​(VerifyPasswordCallback pc)` | Deprecated.
    `void` | `setAuthRepository​(AuthRepository repo)` | Deprecated. Sets AuthRepository.
    `void` | `setDomain​(java.lang.String domain)` | Deprecated. Sets name of domain from XMPP Stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domain

          protected java.lang.String domain

      Deprecated.

    - #### jid

          protected BareJID jid

      Deprecated.

    - #### log

          protected java.util.logging.Logger log

      Deprecated.

    - #### repo

          protected AuthRepository repo

      Deprecated.

  - ### Constructor Detail

    - #### PlainSPCallbackHandler

          public PlainSPCallbackHandler()

      Deprecated.

  - ### Method Detail

    - #### handle

          public void handle​(javax.security.auth.callback.Callback[] callbacks)
                      throws java.io.IOException,
                             javax.security.auth.callback.UnsupportedCallbackException

      Deprecated.
      Specified by:
        `handle` in interface `javax.security.auth.callback.CallbackHandler`
      Throws:
        `java.io.IOException`
        `javax.security.auth.callback.UnsupportedCallbackException`

    - #### setAuthRepository

          public void setAuthRepository​(AuthRepository repo)

      Deprecated.
      Description copied from interface: `AuthRepositoryAware`
      Sets AuthRepository.
      Specified by:
        `setAuthRepository` in interface `AuthRepositoryAware`
      Parameters:
        `repo` - AuthRepository.

    - #### setDomain

          public void setDomain​(java.lang.String domain)

      Deprecated.
      Description copied from interface: `DomainAware`
      Sets name of domain from XMPP Stream.
      Specified by:
        `setDomain` in interface `DomainAware`
      Parameters:
        `domain` - domain name

    - #### handleAuthorizeCallback

          protected void handleAuthorizeCallback​(javax.security.sasl.AuthorizeCallback authCallback)

      Deprecated.

    - #### handleCallback

          protected void handleCallback​(javax.security.auth.callback.Callback callback)
                                 throws javax.security.auth.callback.UnsupportedCallbackException,
                                        java.io.IOException

      Deprecated.
      Throws:
        `javax.security.auth.callback.UnsupportedCallbackException`
        `java.io.IOException`

    - #### handleNameCallback

          protected void handleNameCallback​(javax.security.auth.callback.NameCallback nc)
                                     throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### handleRealmCallback

          protected void handleRealmCallback​(javax.security.sasl.RealmCallback rc)
                                      throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### handleVerifyPasswordCallback

          protected void handleVerifyPasswordCallback​(VerifyPasswordCallback pc)
                                               throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`